POST api/sticker/upsert

Request Information

URI Parameters

None.

Body Parameters

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "5bcb9957-0cbf-455e-987e-17e4ff1eded9",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "23c5efb1-790d-4e74-8220-058a4bba389a",
      "contractItem_ID": "b0121632-2dbf-40e2-b8f9-10164d435723",
      "departement_ID": "df371f8b-74ab-4b83-b314-0f20cb1bafe2",
      "departmentItem_ID": "563d2f88-e124-4d50-9eed-3c80d09eb3c3",
      "iD": "4cc67a07-f92e-49ce-b6d7-93bbdd6b09dc",
      "site_ID": "42c8858d-b883-48da-bcd6-0458d11900d0",
      "siteCustomer_ID": "b2c58cb3-9049-4056-a7f3-5516b83b6688",
      "sticker_ID": "2fb56c47-4ea6-4b47-b590-81787923fa47",
      "garment_ID": "b553ec55-4c25-40a7-9533-9e452a2746d6"
    },
    {
      "active": true,
      "contract_ID": "23c5efb1-790d-4e74-8220-058a4bba389a",
      "contractItem_ID": "b0121632-2dbf-40e2-b8f9-10164d435723",
      "departement_ID": "df371f8b-74ab-4b83-b314-0f20cb1bafe2",
      "departmentItem_ID": "563d2f88-e124-4d50-9eed-3c80d09eb3c3",
      "iD": "4cc67a07-f92e-49ce-b6d7-93bbdd6b09dc",
      "site_ID": "42c8858d-b883-48da-bcd6-0458d11900d0",
      "siteCustomer_ID": "b2c58cb3-9049-4056-a7f3-5516b83b6688",
      "sticker_ID": "2fb56c47-4ea6-4b47-b590-81787923fa47",
      "garment_ID": "b553ec55-4c25-40a7-9533-9e452a2746d6"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "2dfd6844-8b85-4c35-8f6f-f0a3daaa8bee",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "0bf92162-f2b3-429a-b9c3-c6909663d4d0",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "acec982f-86a2-4dc0-b438-1ad9c639e1bb",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "cbcb8673-1347-485e-a28e-0515c70d486a",
      "stickerField_ID": "02cc539f-5e2d-4105-946a-e683d243a166",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "2dfd6844-8b85-4c35-8f6f-f0a3daaa8bee",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "0bf92162-f2b3-429a-b9c3-c6909663d4d0",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "acec982f-86a2-4dc0-b438-1ad9c639e1bb",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "cbcb8673-1347-485e-a28e-0515c70d486a",
      "stickerField_ID": "02cc539f-5e2d-4105-946a-e683d243a166",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "68729b55-d833-46d4-9597-19e201ac3a53",
  "stickerType_ID": "faa052ed-4db1-4c06-a2c4-41bd3d8dbd6f",
  "stickerRelation_IDs": [
    "8e436162-7267-4461-b20f-031d95ee2854",
    "f9d4e7be-25f0-4927-bc6c-4404e2a2c035"
  ],
  "site_ID": "45556d8a-a107-4777-87b6-d0419345acc4"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"d5951a66-9cef-4887-87ac-e1273cd4854f"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">d5951a66-9cef-4887-87ac-e1273cd4854f</guid>